org.apache.lucene.facet

## Class FacetField

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.apache.lucene.facet.FacetField

- All Implemented Interfaces:
    IndexableField

      public class FacetField
      extends Field

  Add an instance of this to your `Document` for every facet label.

  NOTE: you must call `FacetsConfig.build(Document)` before you add the document to IndexWriter.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

      `Field.Index, Field.Store, Field.TermVector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `dim` Dimension for this field.
    `String[]` | `path` Path for this field.

    - ### Fields inherited from class org.apache.lucene.document.Field

      `boost, fieldsData, name, tokenStream, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetField(String dim, String... path)` Creates the this from `dim` and `path`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static void` | `verifyLabel(String label)` Verifies the label is not null or empty string.

    - ### Methods inherited from class org.apache.lucene.document.Field

      `binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, translateFieldType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dim

          public final String dim

      Dimension for this field.

    - #### path

          public final String[] path

      Path for this field.

  - ### Constructor Detail

    - #### FacetField

          public FacetField(String dim,
                    String... path)

      Creates the this from `dim` and `path`.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Field`

    - #### verifyLabel

          public static void verifyLabel(String label)

      Verifies the label is not null or empty string.
      NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.